Package org.apache.batchee.jaxb

## Class Partition

- java.lang.Object
- - org.apache.batchee.jaxb.Partition

-     public class Partition
      extends Object

  Java class for Partition complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Partition">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="mapper" type="{http://xmlns.jcp.org/xml/ns/javaee}PartitionMapper"/>
                 <element name="plan" type="{http://xmlns.jcp.org/xml/ns/javaee}PartitionPlan"/>
               </choice>
               <element name="collector" type="{http://xmlns.jcp.org/xml/ns/javaee}Collector" minOccurs="0"/>
               <element name="analyzer" type="{http://xmlns.jcp.org/xml/ns/javaee}Analyzer" minOccurs="0"/>
               <element name="reducer" type="{http://xmlns.jcp.org/xml/ns/javaee}PartitionReducer" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Analyzer` | `analyzer` |
    `protected Collector` | `collector` |
    `protected PartitionMapper` | `mapper` |
    `protected PartitionPlan` | `plan` |
    `protected PartitionReducer` | `reducer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Partition()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Analyzer` | `getAnalyzer()` | Gets the value of the analyzer property.
    `Collector` | `getCollector()` | Gets the value of the collector property.
    `PartitionMapper` | `getMapper()` | Gets the value of the mapper property.
    `PartitionPlan` | `getPlan()` | Gets the value of the plan property.
    `PartitionReducer` | `getReducer()` | Gets the value of the reducer property.
    `void` | `setAnalyzer​(Analyzer value)` | Sets the value of the analyzer property.
    `void` | `setCollector​(Collector value)` | Sets the value of the collector property.
    `void` | `setMapper​(PartitionMapper value)` | Sets the value of the mapper property.
    `void` | `setPlan​(PartitionPlan value)` | Sets the value of the plan property.
    `void` | `setReducer​(PartitionReducer value)` | Sets the value of the reducer property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapper

          protected PartitionMapper mapper

    - #### plan

          protected PartitionPlan plan

    - #### collector

          protected Collector collector

    - #### analyzer

          protected Analyzer analyzer

    - #### reducer

          protected PartitionReducer reducer

  - ### Constructor Detail

    - #### Partition

          public Partition()

  - ### Method Detail

    - #### getMapper

          public PartitionMapper getMapper()

      Gets the value of the mapper property.
      Returns:
        possible object is `PartitionMapper`

    - #### setMapper

          public void setMapper​(PartitionMapper value)

      Sets the value of the mapper property.
      Parameters:
        `value` - allowed object is `PartitionMapper`

    - #### getPlan

          public PartitionPlan getPlan()

      Gets the value of the plan property.
      Returns:
        possible object is `PartitionPlan`

    - #### setPlan

          public void setPlan​(PartitionPlan value)

      Sets the value of the plan property.
      Parameters:
        `value` - allowed object is `PartitionPlan`

    - #### getCollector

          public Collector getCollector()

      Gets the value of the collector property.
      Returns:
        possible object is `Collector`

    - #### setCollector

          public void setCollector​(Collector value)

      Sets the value of the collector property.
      Parameters:
        `value` - allowed object is `Collector`

    - #### getAnalyzer

          public Analyzer getAnalyzer()

      Gets the value of the analyzer property.
      Returns:
        possible object is `Analyzer`

    - #### setAnalyzer

          public void setAnalyzer​(Analyzer value)

      Sets the value of the analyzer property.
      Parameters:
        `value` - allowed object is `Analyzer`

    - #### getReducer

          public PartitionReducer getReducer()

      Gets the value of the reducer property.
      Returns:
        possible object is `PartitionReducer`

    - #### setReducer

          public void setReducer​(PartitionReducer value)

      Sets the value of the reducer property.
      Parameters:
        `value` - allowed object is `PartitionReducer`